Grisbi.app et Mac OS X Mavericks

Le
Gérald Niel
(suivi sur fr.comp.applications.libres)

Bonjour,

info importante pour les utilisateurs de Grisbi sur Mac OS X (la
version Grisbi.app), les dernières versions compilées sous Lion ou
Mountain Lion ne sont pas compatibles avec Mavericks (les anciennes
certainement pas non plus).

J'ai quelques problèmes avec XCode 5 qui ne me permet plus de compiler
(ça me dit que gcc ne sait pas faire de binaire, en susbtance). Je ne
sais pas si XCode 4 est compatible avec Mavericks.
Et j'ai des soucis de carte graphique sur ma machine (en pour-parler
avec l'AppleCare pour la prise en charge du remplacement de la CM).
Je n'ai pas encore vu passer de feedbacks sur les listes GTK-OSX que
nous utilisons pour l'intégration.
De fait, sauf si nous trouvons d'autres contributeurs pour produire
les binaires et travailler sur le code de Grisbi pour l'intégration à
Mac OS X, il n'y aura pas de version compatible avant un petit moment.
Il serait sage de garder un Lion/Mountain Lion sur un disque externe
pour pouvoir continuer à faire vos comptes avec Grisbi.

Tout ce qui est nécéssaire à la compilation avec jhbuild (gtk-osx) est
disponible ici (modulset et fichier pour construire le bundle) :
http://www.grisbi.org/download/sources/

Pour GTK-OSX c'est ici :
https://wiki.gnome.org/GTK+/OSX/Building

@+
--
On ne le dira jamais assez, l'anarchisme, c'est l'ordre sans le
gouvernement ; c'est la paix sans la violence. C'est le contraire
précisément de tout ce qu'on lui reproche, soit par ignorance, soit
par mauvaise foi. -+- Hem Day -+-
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
pierre.navaro
Le #25746802
J'ai fait un update de Xcode et tapez la commande
xcode-select --install
Et grisbi 0.0.91 fonctionne très bien sous mavericks

Amicalement
Pierre

Le jeudi 24 octobre 2013 07:19:37 UTC+2, Gérald Niel a écrit :
(suivi sur fr.comp.applications.libres)



Bonjour,



info importante pour les utilisateurs de Grisbi sur Mac OS X (la

version Grisbi.app), les dernières versions compilées sous Lion ou

Mountain Lion ne sont pas compatibles avec Mavericks (les anciennes

certainement pas non plus).



J'ai quelques problèmes avec XCode 5 qui ne me permet plus de compiler

(ça me dit que gcc ne sait pas faire de binaire, en susbtance). Je ne

sais pas si XCode 4 est compatible avec Mavericks.

Et j'ai des soucis de carte graphique sur ma machine (en pour-parler

avec l'AppleCare pour la prise en charge du remplacement de la CM).

Je n'ai pas encore vu passer de feedbacks sur les listes GTK-OSX que

nous utilisons pour l'intégration.

De fait, sauf si nous trouvons d'autres contributeurs pour produire

les binaires et travailler sur le code de Grisbi pour l'intégration à

Mac OS X, il n'y aura pas de version compatible avant un petit moment.

Il serait sage de garder un Lion/Mountain Lion sur un disque externe

pour pouvoir continuer à faire vos comptes avec Grisbi.



Tout ce qui est nécéssaire à la compilation avec jhbuild (gtk-osx) est

disponible ici (modulset et fichier pour construire le bundle) :

http://www.grisbi.org/download/sources/



Pour GTK-OSX c'est ici :

https://wiki.gnome.org/GTK+/OSX/Building



@+

--

On ne le dira jamais assez, l'anarchisme, c'est l'ordre sans le

gouvernement ; c'est la paix sans la violence. C'est le contraire

précisément de tout ce qu'on lui reproche, soit par ignorance, soit

par mauvaise foi. -+- Hem Day -+-
michachris65
Le #25764332
Le lundi 28 octobre 2013 13:20:18 UTC+1, a écrit :
J'ai fait un update de Xcode et tapez la commande

xcode-select --install

Et grisbi 0.0.91 fonctionne très bien sous mavericks



Amicalement

Pierre

Bonjour.



ou peux t on télécharger grisbi0.0.91 svp??

Car avec la mise à jour de mavericks mon grisbi ne marche plus.

Merci beaucoup.


Le jeudi 24 octobre 2013 07:19:37 UTC+2, Gérald Niel a écrit :

> (suivi sur fr.comp.applications.libres)

>

>

>

> Bonjour,

>

>

>

> info importante pour les utilisateurs de Grisbi sur Mac OS X (la

>

> version Grisbi.app), les dernières versions compilées sous Lion ou

>

> Mountain Lion ne sont pas compatibles avec Mavericks (les anciennes

>

> certainement pas non plus).

>

>

>

> J'ai quelques problèmes avec XCode 5 qui ne me permet plus de compile r

>

> (ça me dit que gcc ne sait pas faire de binaire, en susbtance). Je ne

>

> sais pas si XCode 4 est compatible avec Mavericks.

>

> Et j'ai des soucis de carte graphique sur ma machine (en pour-parler

>

> avec l'AppleCare pour la prise en charge du remplacement de la CM).

>

> Je n'ai pas encore vu passer de feedbacks sur les listes GTK-OSX que

>

> nous utilisons pour l'intégration.

>

> De fait, sauf si nous trouvons d'autres contributeurs pour produire

>

> les binaires et travailler sur le code de Grisbi pour l'intégration à

>

> Mac OS X, il n'y aura pas de version compatible avant un petit moment.

>

> Il serait sage de garder un Lion/Mountain Lion sur un disque externe

>

> pour pouvoir continuer à faire vos comptes avec Grisbi.

>

>

>

> Tout ce qui est nécéssaire à la compilation avec jhbuild (gtk-osx ) est

>

> disponible ici (modulset et fichier pour construire le bundle) :

>

> http://www.grisbi.org/download/sources/

>

>

>

> Pour GTK-OSX c'est ici :

>

> https://wiki.gnome.org/GTK+/OSX/Building

>

>

>

> @+

>

> --

>

> On ne le dira jamais assez, l'anarchisme, c'est l'ordre sans le

>

> gouvernement ; c'est la paix sans la violence. C'est le contraire

>

> précisément de tout ce qu'on lui reproche, soit par ignorance, soit

>

> par mauvaise foi. -+- Hem Day -+-
Gérald Niel
Le #25764582
Le Mardi 05 novembre 2013 à 22:27 UTC, écrivait sur
fr.comp.os.mac-os.x :

ou peux t on télécharger grisbi0.0.91 svp??



http://grisbi.sf.net
Versions dites "unstable".

Car avec la mise à jour de mavericks mon grisbi ne marche plus.



Ça devrait se résoudre d'ici la fin de la semaine (si j'ai le temps),
car je dois patcher les sources de la 0.8.9 qui utilisent une version
obsolète de gtk-mac-application (partie de gtk-osx que nous utilisons
pour l'intégration à Mac OS X).
La bonne nouvelle étant que je suis enfin parvenu à installer
Mavericks dans une VirtualBox et à y compiler la 0.9.93 qui fonctionne
aussi sous Mountain Lion.

Il y a quelques bugs mais non bloquant (du moins pour ma part, mais
j'utilise les version de dev en production au quotidien).
Pour aller voir les bug liés à Grisbi.app c'est :
http://www.grisbi.org/bugsreports/my_view_page.php et selectionner le
sous projet Grisbi.app (Mac OS X).
Le plus ennuyeux serait celui-ci :
http://www.grisbi.org/bugsreports/view.php?id15
Mais il peut se contourner en supprimant (ou modifiant) le fichier de
preference qui se trouve dans
~/Library/Application Support/Grisbi/config/
C'est le fichier grisbi.conf (ou grisbidev.conf), il faut modifier :
Save at opening=1 (mettre 0).
Après avoir sauvegardé le fichier avec la 0.9.93 compilée avec le
support de goffice (pour les graphiques, c'est cette version qui pose
problème, sans goffice pas de bug), on peut repasser la sauvegarde à
l'ouverture sur 1.

@+
--
On ne le dira jamais assez, l'anarchisme, c'est l'ordre sans le
gouvernement ; c'est la paix sans la violence. C'est le contraire
précisément de tout ce qu'on lui reproche, soit par ignorance, soit
par mauvaise foi. -+- Hem Day -+-
Gérald Niel
Le #25764652
Le Mardi 05 novembre 2013 à 22:27 UTC, écrivait sur
fr.comp.os.mac-os.x :

ou peux t on télécharger grisbi0.0.91 svp??

Car avec la mise à jour de mavericks mon grisbi ne marche plus.



J'oubliais, vous pourvez aussi venir échanger sur la hiérarchie
grisbi.*. Si elle n'est pas distribuée sur votre serveur, demandez à votre
newsmaster en lui communiquant le lien ci dessus.
Elle est accessible sans formalités en lecture/écriture depuis
news.grisbi.org ou news.gegeweb.org (où les filtres spams sont plus
serrés, moins de pollution depuis la passerelle mail).

@+
--
On ne le dira jamais assez, l'anarchisme, c'est l'ordre sans le
gouvernement ; c'est la paix sans la violence. C'est le contraire
précisément de tout ce qu'on lui reproche, soit par ignorance, soit
par mauvaise foi. -+- Hem Day -+-
Publicité
Poster une réponse
Anonyme